
#import <Foundation/Foundation.h>

@class	ImageDocument;
@class	NetServiceController;

#define kNetServiceWiFiID			@"DotTouch_WIFI_ID"

@protocol NetServiceControllerDelegate <NSObject>
@optional
- (void) netServiceDidEnableBonjour:(NetServiceController*)server withName:(NSString*)name;
- (void) netService:(NetServiceController*)server didNotEnableBonjour:(NSDictionary *)errorDict;
- (void) didAcceptConnectionForService:(NetServiceController*)server inputStream:(NSInputStream *)istr outputStream:(NSOutputStream *)ostr;
@end


@interface NetServiceController : NSObject {

	ImageDocument		*imageDoc;
	id					delegate;
	
	NSNetService	*netService;
	NSFileHandle	*listeningSocket;
	BOOL			isServiceStart;
	int				numberOfDownloads;
}

@property (nonatomic, assign) id<NetServiceControllerDelegate> delegate;
@property (nonatomic, assign) ImageDocument *imageDoc;
@property (nonatomic, assign) BOOL isServiceStart;

-(void) startNetSercice;
-(void) stopNetSercice;

@end
