
#import <Cocoa/Cocoa.h>
#import "TCPServer.h"

#define kWiFiID			@"WIFI_CONNECT"

enum{
	CONNECT_NON				=0,
	
	CONNECT_WIFI_SEND,				// 送り手(Wi-Fi)
	CONNECT_WIFI_RECEIVE,			// 受け手(Wi-Fi)
	
	CONNECT_BLUETOOTH_SEND,			// 送り手(Bluetooth)
	CONNECT_BLUETOOTH_RECEIVE,		// 受け手(Bluetooth)
};

enum{
	SENDCODE_CANCEL		=0,			// 送信キャンセル
	SENDCODE_SEND,					// 送信開始
	
	SENDCODE_CONNECT_OK,			// 送信接続確立
	SENDCODE_SEND_MODE,				// 送信モードになれ
	SENDCODE_RESV_MODE,				// 受信モードになれ
};

enum{
	NETWORKTYPE_KNOW		=0,
	NETWORKTYPE_WIFI,
	NETWORKTYPE_BLUETOOTH,
};

#define	STREAMTEMP_BYTES	256


@class	ImageDocument;

@interface WifiConnectController : NSObject <TCPServerDelegate> {
	
	IBOutlet	NSTableView	*table;
	IBOutlet	NSButton	*connectActionButton;
	IBOutlet	NSButton	*cancelButton;
	IBOutlet	NSImageView	*imageView;
	
	IBOutlet	NSTextField	*deviceName;
	
	TCPServer				*_server;
	
	int						resv_code;
	int						_connectMode;
	NSMutableData			*_resvData;
	uint8_t					*_resvBuff;
	unsigned char			streamTemp[STREAMTEMP_BYTES];
	NSInputStream			*m_inStream;
	NSOutputStream			*m_outStream;
	BOOL					_inReady;
	BOOL					_outReady;
	
	NSNetServiceBrowser		*_netServiceBrowser;
	NSMutableArray			*_services;
	int						selectTableIndex;
	NSString				*ownName;
	NSString				*hostName;
	NSNetService			*ownEntry;
	NSNetService			*currentResolve;
	
}

@property (nonatomic, retain, readwrite) NSMutableArray *_services;
@property (nonatomic, retain, readwrite) NSNetService *ownEntry;
@property (nonatomic, retain, readwrite) NSNetService *currentResolve;
@property (nonatomic, copy) NSString *ownName;

- (IBAction)connectOKButtonClick:(id)sender;
- (IBAction)cancelButtonClick:(id)sender;
- (IBAction)sendButtonClick:(id)sender;
- (IBAction)receivButtonClick:(id)sender;
- (IBAction)connectActionButtonClick:(id)sender;

- (BOOL) sendMessage:(int)code;
- (void) resvMessage;
- (void) setupNetworkConnectViewController:(int)type;
- (void) buttonEnableAndTitle;

-(void) stopServer;
- (void)stopCurrentResolve;

- (void) setupTCPServer;
- (void) openStreams;
- (void) presentPicker:(NSString *)name;
- (void) destroyPicker;


@end
