
#import "iPhoneWifiViewController.h"

@implementation iPhoneWifiViewController



/*
// The designated initializer. Override to perform setup that is required before the view is loaded.
- (id)initWithNibName:(NSString *)nibNameOrNil bundle:(NSBundle *)nibBundleOrNil {
    if (self = [super initWithNibName:nibNameOrNil bundle:nibBundleOrNil]) {
        // Custom initialization
    }
    return self;
}
*/

/*
// Implement loadView to create a view hierarchy programmatically, without using a nib.
- (void)loadView {
}
*/


/*
// Implement viewDidLoad to do additional setup after loading the view, typically from a nib.
- (void)viewDidLoad {
    [super viewDidLoad];
}
*/


/*
// Override to allow orientations other than the default portrait orientation.
- (BOOL)shouldAutorotateToInterfaceOrientation:(UIInterfaceOrientation)interfaceOrientation {
    // Return YES for supported orientations
    return (interfaceOrientation == UIInterfaceOrientationPortrait);
}
*/

- (void)didReceiveMemoryWarning {
	// Releases the view if it doesn't have a superview.
    [super didReceiveMemoryWarning];
	
	// Release any cached data, images, etc that aren't in use.
}

- (void)viewDidUnload {
	// Release any retained subviews of the main view.
	// e.g. self.myOutlet = nil;
}


- (void)dealloc {
    [super dealloc];
}


#pragma mark -
#pragma mark -- アクションメソッド --

-(IBAction) wifiStart:(id)sener
{
	[self start];
}

-(IBAction) menuCancel:(id)sener
{
	[nwController stop];
	[self menuClose];
}

#pragma mark -


-(void) start
{
	nwController = [[NetWorkController alloc] initWithDelegate:self];
	[nwController start];
}

-(void) menuClose
{
	//サブビューを削除
	[[navController view] removeFromSuperview];
	[navController release];
	navController = nil;
	
	[UIView beginAnimations:@"FlipAnime" context:nil];
	[UIView setAnimationDuration:0.8];
	[UIView setAnimationTransition:UIViewAnimationTransitionFlipFromLeft forView:[self.view superview] cache:YES];
	[UIView commitAnimations];
}




#pragma mark -
#pragma mark -- NetWorkコントローラーのデリゲートメソッド --

- (void) netWorkControllerDidSetupBrowserViewController:(NetWorkController*)nwCont BrowserController:(BrowserViewController*)bvc
{
	//ナビゲーションコントローラーをインスタンス化
	navController = [[UINavigationController alloc] initWithRootViewController:bvc];
	navController.navigationBar.barStyle = UIBarStyleBlack;
	[bvc setTitle:@"Wi-Fi"];
	UIBarButtonItem*	barButton = [[UIBarButtonItem alloc] initWithTitle:@"Back" style:UIBarButtonItemStylePlain target:self action:@selector(menuCancel:)];
	bvc.navigationItem.leftBarButtonItem = [barButton autorelease];
	[self.view addSubview:[navController view]];
	
	[UIView beginAnimations:@"FlipAnime" context:nil];
	[UIView setAnimationDuration:0.8];
	[UIView setAnimationTransition:UIViewAnimationTransitionFlipFromRight forView:[self.view superview] cache:YES];
	[UIView commitAnimations];
}

//受信
- (void) netWorkControllerReceive:(NetWorkController*)nwCont Data:(NSData*)data
{
}

//キャンセルした
- (void) netWorkControllerCancel:(NetWorkController*)nwCont
{
	[nwCont release];
}

//接続した
- (void) netWorkControllerConnect:(NetWorkController*)nwCont
{
	[self menuClose];
	
	//接続方法確認アラート表示
	UIAlertView	*alert;
	alert = [[UIAlertView alloc] 
			 initWithTitle:@"接続しました"  
			 message:nil 
			 delegate:nil 
			 cancelButtonTitle:@"閉じる" 
			 otherButtonTitles:nil];
	[alert show];
	[alert release];
}



@end
