
#import <UIKit/UIKit.h>
#import <Foundation/NSNetServices.h>

@class BrowserViewController;


@interface NSNetService (BrowserViewControllerAdditions)
- (NSComparisonResult) localizedCaseInsensitiveCompareByName:(NSNetService *)aService;
@end



@protocol BrowserViewControllerDelegate <NSObject>
@required
- (void) browserViewController:(BrowserViewController *)bvc didResolveInstance:(NSNetService *)ref;
@end

@interface BrowserViewController : UITableViewController {

@private
	id<BrowserViewControllerDelegate> _delegate;
	NSString				*_ownName;
	NSNetService			*_ownEntry;
	NSMutableArray			*_services;
	NSNetServiceBrowser		*_netServiceBrowser;
	NSNetService			*_currentResolve;
	
	NSTimer					*_timer;
	BOOL					_showDisclosureIndicators;
	BOOL					_needsActivityIndicator;
	BOOL					_lockTableTap;
	BOOL					_initialWaitOver;
}

@property (nonatomic, assign) id<BrowserViewControllerDelegate> delegate;
@property (nonatomic, copy) NSString *ownName;
@property (nonatomic, retain, readwrite) NSNetService *ownEntry;
@property (nonatomic, assign, readwrite) BOOL showDisclosureIndicators;
@property (nonatomic, retain, readwrite) NSMutableArray *services;
@property (nonatomic, retain, readwrite) NSNetServiceBrowser *netServiceBrowser;
@property (nonatomic, retain, readwrite) NSNetService *currentResolve;
@property (nonatomic, retain, readwrite) NSTimer *timer;
@property (nonatomic, assign, readwrite) BOOL needsActivityIndicator;
@property (nonatomic, assign, readwrite) BOOL initialWaitOver;

- (id)initWithTitle:(NSString *)title showDisclosureIndicators:(BOOL)showDisclosureIndicators showCancelButton:(BOOL)showCancelButton;
- (BOOL)searchForServicesOfType:(NSString *)type inDomain:(NSString *)domain;
- (void)stopCurrentResolve;
- (void)initialWaitOver:(NSTimer *)timer;


@end
