
#import <Foundation/Foundation.h>
#import "TCPServer.h"
#import "BrowserViewController.h"

enum{
	NETWORKTYPE_KNOW		=0,
	NETWORKTYPE_WIFI,
	NETWORKTYPE_BLUETOOTH,
};

enum{
	CONNECT_NON				=0,
	
	CONNECT_SEND,				// 送り手
	CONNECT_RECEIVE,			// 受け手
};

enum{
	SENDCODE_CANCEL		=0,		// 送信キャンセル
	SENDCODE_SEND,				// 送信開始
};

@class	NetWorkController;

#define kWiFiID			@"WIFI_CONNECT"

//プロトコル
@protocol NetWorkControllerDelegate <NSObject>
@optional
- (void) netWorkControllerDidSetupBrowserViewController:(NetWorkController*)nwCont BrowserController:(BrowserViewController*)bvc;
- (void) netWorkControllerReceive:(NetWorkController*)nwCont Data:(NSData*)data;
- (void) netWorkControllerCancel:(NetWorkController*)nwCont;
- (void) netWorkControllerConnect:(NetWorkController*)nwCont;
@end


@interface NetWorkController : NSObject <TCPServerDelegate, BrowserViewControllerDelegate>{
	
	id						delegate;
	NSMutableData			*_resvData;
	unsigned char			streamTemp[256];
	TCPServer				*_server;
	NSInputStream			*_inStream;
	NSOutputStream			*_outStream;
	BOOL					_inReady;
	BOOL					_outReady;
	BrowserViewController	*_bvc;
}

@property	(nonatomic, assign)	 id<NetWorkControllerDelegate>	delegate;


-(id) initWithDelegate:(id)obj;
-(void) start;
-(void) stop;
-(void) stopServer;
-(BOOL) sendData:(NSData*)data;

- (void) setupTCPServer;
- (void) openStreams;
- (void) presentPicker:(NSString *)name;
- (void) destroyPicker;

@end


